import { jsx } from "react/jsx-runtime";
import { TokenPRQ as TokenPRQ$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPRQ = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PRQ", "data-name": "TokenPRQ", ...props, children: /* @__PURE__ */ jsx(TokenPRQ$1, { variant }) });
  }
);
TokenPRQ.displayName = "TokenPRQ";
Object.assign(TokenPRQ, { isGdsIcon: true });
export {
  TokenPRQ
};
